+++ /dev/null
-# ===================================================================
-# == Options
-# ===================================================================
-
-# Show hidden files? You can toggle this by typing 'zh'
-set show_hidden true
-
-# Which script is used to generate file previews?
-# ranger ships with scope.sh, a script that calls external programs (see
-# README.md for dependencies) to preview images, archives, etc.
-set preview_script ~/.config/ranger/scope.sh
-
-# Use the external preview script or display simple plain text or image previews?
-set use_preview_script true
-
-# State of the three backends git, hg, bzr. The possible states are
-# disabled, local (only show local info), enabled (show local and remote
-# information).
-set vcs_backend_git enabled
-
-# Use one of the supported image preview protocols
-set preview_images true
-
+++ /dev/null
-#!/usr/bin/env sh
-# ranger supports enhanced previews. If the option "use_preview_script"
-# is set to True and this file exists, this script will be called and its
-# output is displayed in ranger. ANSI color codes are supported.
-
-# NOTES: This script is considered a configuration file. If you upgrade
-# ranger, it will be left untouched. (You must update it yourself.)
-# Also, ranger disables STDIN here, so interactive scripts won't work properly
-
-# Meanings of exit codes:
-# code | meaning | action of ranger
-# -----+------------+-------------------------------------------
-# 0 | success | success. display stdout as preview
-# 1 | no preview | failure. display no preview at all
-# 2 | plain text | display the plain content of the file
-# 3 | fix width | success. Don't reload when width changes
-# 4 | fix height | success. Don't reload when height changes
-# 5 | fix both | success. Don't ever reload
-# 6 | image | success. display the image $cached points to as an image preview
-# 7 | image | success. display the file directly as an image
-
-# Meaningful aliases for arguments:
-path="$1" # Full path of the selected file
-width="$2" # Width of the preview pane (number of fitting characters)
-height="$3" # Height of the preview pane (number of fitting characters)
-cached="$4" # Path that should be used to cache image previews
-preview_images="$5" # "True" if image previews are enabled, "False" otherwise.
-
-maxln=200 # Stop after $maxln lines. Can be used like ls | head -n $maxln
-
-# Find out something about the file:
-mimetype=$(file --mime-type -Lb "$path")
-extension=$(/bin/echo "${path##*.}" | awk '{print tolower($0)}')
-
-# Functions:
-# runs a command and saves its output into $output. Useful if you need
-# the return value AND want to use the output in a pipe
-try() { output=$(eval '"$@"'); }
-
-# writes the output of the previously used "try" command
-dump() { /bin/echo "$output"; }
-
-# a common post-processing function used after most commands
-trim() { head -n "$maxln"; }
-
-# wraps highlight to treat exit code 141 (killed by SIGPIPE) as success
-safepipe() { "$@"; test $? = 0 -o $? = 141; }
-
-# Image previews, if enabled in ranger.
-if [ "$preview_images" = "True" ]; then
- case "$mimetype" in
- # Image previews for SVG files, disabled by default.
- ###image/svg+xml)
- ### convert "$path" "$cached" && exit 6 || exit 1;;
- # Image previews for image files. w3mimgdisplay will be called for all
- # image files (unless overriden as above), but might fail for
- # unsupported types.
- image/*)
- exit 7;;
- # Image preview for video, disabled by default.:
- ###video/*)
- ### ffmpegthumbnailer -i "$path" -o "$cached" -s 0 && exit 6 || exit 1;;
- esac
-fi
-
-case "$extension" in
- # Archive extensions:
- a|ace|alz|arc|arj|bz|bz2|cab|cpio|deb|gz|jar|lha|lz|lzh|lzma|lzo|\
- rpm|rz|t7z|tar|tbz|tbz2|tgz|tlz|txz|tZ|tzo|war|xpi|xz|Z|zip)
- try als "$path" && { dump | trim; exit 0; }
- try acat "$path" && { dump | trim; exit 3; }
- try bsdtar -lf "$path" && { dump | trim; exit 0; }
- exit 1;;
- rar)
- # avoid password prompt by providing empty password
- try unrar -p- lt "$path" && { dump | trim; exit 0; } || exit 1;;
- 7z)
- # avoid password prompt by providing empty password
- try 7z -p l "$path" && { dump | trim; exit 0; } || exit 1;;
- # PDF documents:
- pdf)
- try pdftotext -l 10 -nopgbrk -q "$path" - && \
- { dump | trim | fmt -s -w $width; exit 0; } || exit 1;;
- # BitTorrent Files
- torrent)
- try transmission-show "$path" && { dump | trim; exit 5; } || exit 1;;
- # ODT Files
- odt|ods|odp|sxw)
- try odt2txt "$path" && { dump | trim; exit 5; } || exit 1;;
- # HTML Pages:
- htm|html|xhtml)
- try w3m -dump "$path" && { dump | trim | fmt -s -w $width; exit 4; }
- ;; # fall back to highlight/cat if the text browsers fail
-esac
-
-case "$mimetype" in
- # Syntax highlight for text files:
- text/* | */xml)
- try safepipe less "$path" && { dump | trim; exit 5; }
- exit 2;;
- # Ascii-previews of images:
- image/*)
- img2txt --gamma=0.6 --width="$width" "$path" && exit 4 || exit 1;;
- # Display information about media files:
- video/* | audio/*)
- exiftool "$path" && exit 5
- # Use sed to remove spaces so the output fits into the narrow window
- try mediainfo "$path" && { dump | trim | sed 's/ \+:/: /;'; exit 5; } || exit 1;;
-esac
-
-exit 1
+++ /dev/null
-bind generic,index Q exit
-bind editor <space> noop
-bind editor <Tab> complete-query
-
-bind browser gg top-page
-bind browser G bottom-page
-bind browser \Cb previous-page
-bind browser \Cf next-page
-bind browser A check-new
-bind browser v view-file
-
-bind index ~ set-flag
-bind index \Cv what-key
-bind index H current-top
-bind index M current-middle
-bind index L current-bottom
-bind index / search
-bind index : enter-command
-bind index i mail
-
-bind pager i edit
-bind pager u mark-as-new
-bind pager gg top
-bind pager G bottom
-bind pager j next-line
-bind pager k previous-line
-
-bind index,attach gg first-entry
-bind index,attach G last-entry
-
-bind index,pager L list-reply
-# bind index,pager P print-message
-bind index,pager R group-reply
-bind index,pager \Cd half-down
-bind index,pager \Cu half-up
-bind index,pager \Cf next-page
-bind index,pager \Cb previous-page
-bind index,pager \Cn next-thread
-bind index,pager \Cp previous-thread
-
-bind index,pager f forward-message
-bind index,pager p previous-undeleted
-bind index,pager N next-unread
-bind index,pager P previous-unread
-
-bind index,pager X print-message
-
-macro index Z "<shell-escape>mu find --clearlinks --format=links --linksdir=~/.mu/results " "mu find"
-macro index S "<change-folder-readonly>~/.mu/results<enter>" "mu find results"
-
-macro attach s <save-entry><kill-line>$HOME<enter> "Save to default directory for attachments"
-
-# vim: ft=muttrc
+++ /dev/null
-set editor = "vim -c start"
-set realname = "Jannik Zander"
-
-source ~/.mutt/account
-#source ~/.mutt/muttgpg
-source ~/.mutt/keybindings
-#source ~/.mutt/colorscheme
-
-
-# goobook
-set sort_alias = alias
-set reverse_alias = yes
-
-mailboxes +INBOX +UTHSCSA
-alternative_order text/plain text/enriched text/html
-auto_view text/html
-
-set print_command="muttdoc | pandoc --template=email.tex -V fullpage --latex-engine=xelatex --listings -o ~/email.pdf"
-
-ignore *
-unignore from: subject to cc date x-mailer x-url user-agent
-hdr_order date from to cc subject
-
-set header_cache = ~/.mutt/cache/headers
-set message_cachedir = ~/.mutt/cache/bodies
-set certificate_file = ~/.mutt/certificates
-set mailcap_path = ~/.mutt/mailcap
-set signature = ~/.mutt/signature
-
-set forward_edit = ask-yes
-set forward_format = "Fwd: %s"
-set include = yes
-set mime_forward = yes
-set mime_forward_rest = yes
-set move = no
-set print = yes
-set quit = yes
-set sig_dashes = no
-set sort = 'threads'
-set sort_aux = 'reverse-last-date-received'
-set text_flowed = yes
-set timeout = 1
-
-set delete
-set envelope_from
-set fast_reply
-set forward_quote
-set reverse_name
-set sig_on_top
-set smart_wrap
-
-unset markers
-unset wait_key
-unset reply_self
-unset confirmappend
-unset move
-
-# vim: ft=muttrc